import Foundation
import App

# Usually, you need only edit these seven lines
abbrev = 'CSD'				# Short name, no spaces, used as a preface for descriptions
iconName = 'CSD'				# Name of icon .tga file
longName = 'Coalied Star Destroyer'				# Long name with spaces
shipFile = 'CSD'				# Name of the file in Scripts\Ships\ to use.
menuGroup = 'Imperial Ships'			# Menu to appear under in Quick Battle
playerMenuGroup = 'Imperial Ships'		# ...set to None if you don't want to appear here.
species = App.SPECIES_SOVEREIGN		# I'm not sure how important this is.

Foundation.ShipDef.CSD = Foundation.ShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile })

if menuGroup:			Foundation.ShipDef.CSD.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:		Foundation.ShipDef.CSD.RegisterQBPlayerShipMenu(playerMenuGroup)
